textures/marlboro/water
{
	qer_editorimage textures/marlboro/d_water1e.tga
	qer_trans .5
	q3map_globaltexture
	q3map_surfacelight 128
	surfaceparm trans
	surfaceparm water
	cull disable
	deformVertexes wave 64 sin .25 .25 0 .5	
	
	{ 
		map textures/marlboro/d_water1e.tga
		blendFunc GL_dst_color GL_one
		rgbgen identity
		tcmod scale .5 .5
		tcmod scroll .025 .01
	}
	{ 
		map textures/marlboro/d_water2e.tga
		blendFunc GL_dst_color GL_one
		tcmod scale -.5 -.5
		tcmod scroll .025 .025
	}
	{
		map $lightmap
		blendFunc GL_dst_color GL_zero
		rgbgen identity		
	}
}

textures/marlboro/trans
{
    qer_editorImage textures/marlboro/trans.tga
    qer_trans 0.9
    q3map_bounceScale 0.0
    surfaceparm trans
    surfaceparm noDamage
    polygonOffset
    {
        map textures/marlboro/trans.tga
        blendFunc blend
        alphaGen const 1
    }
}

textures/marlboro/slicktop
{
    q3map_lightImage textures/marlboro/noodglass2.tga
    qer_editorImage textures/marlboro/qe_slick_top.tga
	q3map_surfaceLight 150
	q3map_lightsubdivide 64
    surfaceparm slick
    {
        map textures/marlboro/wood_brownlight.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/marlboro/noodglass2.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
    }
}


textures/marlboro/slickstep
{
    q3map_lightImage textures/marlboro/noodglass2.tga
    qer_editorImage textures/marlboro/woodplank_1br.tga
	q3map_surfaceLight 150
	q3map_lightsubdivide 64
    surfaceparm slick
    {
        map textures/marlboro/woodplank_1br.tga
    }
    {
        map $lightmap
        blendFunc GL_DST_COLOR GL_ONE_MINUS_DST_ALPHA
        rgbGen identity
    }
    {
        map textures/marlboro/noodglass2.tga
        tcgen environment
		blendFunc GL_ONE GL_ONE
    }
}

textures/marlboro/sky
{
	qer_editorImage textures/marlboro/sky27.jpg
	
	surfaceParm noImpact
	surfaceParm noLightmap
	surfaceParm sky
	
	q3map_globalTexture
	q3map_lightSubdivide 256

	q3map_sunExt 1 0.91 0.73 100 65 75 3 16
	q3map_lightmapfilterradius 0 8
	q3map_skylight 180 6
	
	skyparms textures/marlboro/sky27 - -
	
	nopicmip
	nomipmaps
}

textures/marlboro/light1_b
{
	q3map_lightImage textures/marlboro/light1_blend.tga
	q3map_surfaceLight 500
	q3map_lightsubdivide 128
	qer_editorimage textures/marlboro/light1.tga
	surfaceparm trans
	surfaceparm nomarks

	{
		map $lightmap
		rgbGen identity
	}
	{
		map textures/marlboro/light1.tga
		blendFunc GL_DST_COLOR GL_ZERO
		rgbGen identity
	}
	{
		map textures/marlboro/light1_blend.tga
		blendfunc GL_ONE GL_ONE
		rgbGen wave sin .8 .2 0 0.25
	}
}

textures/marlboro/stone1:q3map
{
	surfaceparm slick
}